## net.dontdrinkandroot.lastfm.api.model
Class Streamable

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.Streamable

All Implemented Interfaces:
  java.io.Serializable

    public class Streamable

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `Streamable()`
`` `Streamable(org.w3c.dom.Element element)` Create streamable information from dom4j element.

Method Summary
`java.lang.Boolean` `getFullTrack()`
`java.lang.Boolean` `getStreamable()`
`boolean` `isFullTrackStreamable()`
`boolean` `isStreamable()`
`void` `setFullTrack(java.lang.Boolean fullTrack)`
`void` `setStreamable(java.lang.Boolean streamable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Streamable

    protected Streamable()

### Streamable

    public Streamable(org.w3c.dom.Element element)

  Create streamable information from dom4j element.

  Parameters:
    `element` - The dom4j element to convert.

Method Detail

### isStreamable

    public final boolean isStreamable()

### isFullTrackStreamable

    public final boolean isFullTrackStreamable()

### getStreamable

    public final java.lang.Boolean getStreamable()

### setStreamable

    public final void setStreamable(java.lang.Boolean streamable)

### getFullTrack

    public final java.lang.Boolean getFullTrack()

### setFullTrack

    public final void setFullTrack(java.lang.Boolean fullTrack)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.